# Chainlink Contracts

![Copy contracts](https://github.com/smartcontractkit/contracts/workflows/Copy%20contracts/badge.svg?branch=master)

**The `@chainlink/contracts` is published from this repo**

This repo is comprised of Solidity smart contracts from [smartcontractkit/chainlink](https://github.com/smartcontractkit/chainlink).

## Installation

```sh
# via Yarn
$ yarn add @chainlink/contracts

# via npm
$ npm install @chainlink/contracts --save
```

## Usage

If you wanted to consume the v0.6.x version of our `ChainlinkClient` smart contract, do the following:

```solidity
import "@chainlink/contracts/contracts/v0.6/ChainlinkClient.sol";
```
